All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Géza Gémes" <geza.gemes@gmail.com>
To: xen-devel@lists.xenproject.org
Cc: sstabellini@kernel.org, george.dunlap@citrix.com,
	"Géza Gémes" <geza.gemes@gmail.com>
Subject: [PATCH 10/11] Fix lopartsetup for util-linux >= 2.27.1
Date: Fri, 24 Mar 2017 19:59:35 +0100	[thread overview]
Message-ID: <1490381976-22981-11-git-send-email-geza.gemes@gmail.com> (raw)
In-Reply-To: <1490381976-22981-1-git-send-email-geza.gemes@gmail.com>

fdisk from util-linux >= 2.27.1 returns units in a slightly different
structure than earlier versions

Signed-off-by: Géza Gémes <geza.gemes@gmail.com>
---
 scripts/lopartsetup | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

diff --git a/scripts/lopartsetup b/scripts/lopartsetup
index 04ce3cc..b675e03 100755
--- a/scripts/lopartsetup
+++ b/scripts/lopartsetup
@@ -53,7 +53,23 @@ then
     exit 1
 fi
 
-unit="`fdisk -lu $filename 2>/dev/null | grep -e "^Units = " | cut -d " " -f 9`"
+unitstring=""
+column=0
+if [ `fdisk -lu $filename 2>/dev/null | grep -e "^Units = " | wc -l` -eq 1 ]
+then
+    unitstring="^Units = "
+    column=9
+else if [ `fdisk -lu $filename 2>/dev/null | grep -e "^Units:" | wc -l` -eq 1 ]
+then
+    unitstring="^Units:"
+    column=8
+else
+    exit 1
+fi
+fi
+
+unit="`fdisk -lu $filename 2>/dev/null | grep -e "$unitstring" | cut -d " " -f $column`"
+
 index=0
 for i in "`fdisk -lu $filename 2>/dev/null | grep -e "^$filename"`"
 do
-- 
2.7.4


_______________________________________________
Xen-devel mailing list
Xen-devel@lists.xen.org
https://lists.xen.org/xen-devel

  parent reply	other threads:[~2017-03-24 19:00 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-24 18:59 [raisin][PATCH 00/11] pygrub fix + cirros tests + lopartsetup fix Géza Gémes
2017-03-24 18:59 ` [PATCH 01/11] Fix installation of python libs Géza Gémes
2017-03-25  0:12   ` Stefano Stabellini
2017-03-24 18:59 ` [PATCH 02/11] Introduce cirros tests Géza Gémes
2017-03-24 21:01   ` Stefano Stabellini
2017-03-25 19:24     ` Gémes Géza
2017-03-24 18:59 ` [PATCH 03/11] Introduce cirros-separate-kernel-pv test Géza Gémes
2017-03-25  0:17   ` Stefano Stabellini
2017-03-24 18:59 ` [PATCH 04/11] Introduce cirros-pygrub-pv test Géza Gémes
2017-03-24 18:59 ` [PATCH 05/11] Introduce cirros-pvgrub2-pv test Géza Gémes
2017-03-24 18:59 ` [PATCH 06/11] Introduce cirros-qemu-hvm test Géza Gémes
2017-03-24 18:59 ` [PATCH 07/11] Introduce cirros-minios-stubdom-hvm test Géza Gémes
2017-03-24 18:59 ` [PATCH 08/11] Introduce cirros-qemu-pvhvm test Géza Gémes
2017-03-24 18:59 ` [PATCH 09/11] Introduce cirros-minios-stubdom-pvhvm test Géza Gémes
2017-03-24 18:59 ` Géza Gémes [this message]
2017-03-25  0:26   ` [PATCH 10/11] Fix lopartsetup for util-linux >= 2.27.1 Stefano Stabellini
2017-03-25 19:21     ` Gémes Géza
2017-03-24 18:59 ` [PATCH 11/11] Enable cirros tests in the default config Géza Gémes
2017-03-25  0:08   ` Stefano Stabellini

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1490381976-22981-11-git-send-email-geza.gemes@gmail.com \
    --to=geza.gemes@gmail.com \
    --cc=george.dunlap@citrix.com \
    --cc=sstabellini@kernel.org \
    --cc=xen-devel@lists.xenproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.